<?php
  include_once("htmlfuncs.php");
  include_once("gxml.php");
  
  //Get OS.
  $OS = GetParam("OS", "UNIX");
  
  //Get AssociateID
  $Associate = GetParam("Associate", "thinkbling-20");
  
  //Get Host.
  $Host = GetParam("Host", "http://localhost/");
  
  //Make sure the Host end with a slash.
  if (substr($Host, strlen($Host)) != "/")
  {
    $Host = $Host . "/";
  }
  
  //Load background.txt.
  $Background = get_file_contents("background.txt");
  
  //Replace "AAAAA" with "true" if it is Unix/Linux, "false" if is Windows.
  //Replace "BBBBB" with "/" if it is Unix/Linux, "\\" if it is Windows
  if ($OS == "UNIX")
  {
    $Background = str_replace( "AAAAA", "true",$Background);
    $Background = str_replace("BBBBB", "/", $Background);
    $Filename   = getcwd()."/background.php";
  }
  else
  {
    $Background = str_replace("AAAAA", "false", $Background);
    $Background = str_replace("BBBBB", "\\\\", $Background);
    $Filename   = getcwd()."\\background.php";
  }

  //Replace CCCCC with the Associate ID.
  $Background = str_replace("CCCCC", $Associate, $Background);  
    
  //Replace DDDDD with the host.
  $Background = str_replace("DDDDD", $Host, $Background);    
  
  if (!$handle = @fopen($Filename, 'w+'))
  {
    echo "Cannot open \"$Filename\" for writing.";
    return;
  }
  if (@fwrite($handle, $Background) == FALSE)
  {
    echo "Cannot write to \"$Filename\".";
    return;
  }  
  
  fclose($handle);
  
  
  include_once("background.php");
  
  //If the Smarty compile directory is supposed to be a subdirectory then
  // then use that to get determine the path. 
  $CompileDir = FullSmartyCompileDir();

  //If $CompileDir does not exist then try to create it.
  if (!is_dir($CompileDir))
  {
    @mkdir($CompileDir, 0755);
  }
  
  if (!is_dir($CompileDir))
  {
    echo ("Can not create \"$CompileDir\".");
    return;
  }

  //Make certain that the director has the correct permissions.
  if (!chmod($CompileDir, 0755))
  {
    echo ("Could not set \"$CompileDir\" to have the correct permissions.");
    return;
  }
  
//  if (is_writable($Filename))
//  {

/*  }
  else
  {
    echo "\"$Filename\" is not able to be written.";
    return;
  }*/

  echo "Everything should be setup now."; 
?>